<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlDevDataPathCfg_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlDevDataPathCfg_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>mmwave radar data path config.  
 <a href="structrl_dev_data_path_cfg__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/include/rl_device.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a67000c0c116288fc460abcc3217fe6f6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a67000c0c116288fc460abcc3217fe6f6"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_dev_data_path_cfg__t.html#a67000c0c116288fc460abcc3217fe6f6">intfSel</a></td></tr>
<tr class="memdesc:a67000c0c116288fc460abcc3217fe6f6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Data Path Interface, <br />
 0x0 CSI2 interface selected <br />
 0x1 LVDS interface selected <br />
 0x2 SPI interface selected (applicable when a large inter-frame time is provided to transfer the data over the SPI), data will be chunked into multiple async event message where message SB-ID is RL_DEV_AE_MSS_ADC_DATA_SB <br />
. <br /></td></tr>
<tr class="separator:a67000c0c116288fc460abcc3217fe6f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a626d990f0f7f5a40ceca9e733694b62c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a626d990f0f7f5a40ceca9e733694b62c"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_dev_data_path_cfg__t.html#a626d990f0f7f5a40ceca9e733694b62c">transferFmtPkt0</a></td></tr>
<tr class="memdesc:a626d990f0f7f5a40ceca9e733694b62c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Data out Format, <br />
 b5:0 Packet 0 content selection <br />
 000001 - ADC_DATA_ONLY <br />
 000110 - CP_ADC_DATA <br />
 001001 - ADC_CP_DATA <br />
 110110 - CP_ADC_CQ_DATA <br />
 b7:6 Packet 0 virtual channel number (valid only for CSI2) <br />
 00 Virtual channel number 0 (Default) <br />
 01 Virtual channel number 1 <br />
 10 Virtual channel number 2 <br />
 11 Virtual channel number 3 <br />
. <br /></td></tr>
<tr class="separator:a626d990f0f7f5a40ceca9e733694b62c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae4e5687f83a42ed0590ad514af8fec04"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae4e5687f83a42ed0590ad514af8fec04"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_dev_data_path_cfg__t.html#ae4e5687f83a42ed0590ad514af8fec04">transferFmtPkt1</a></td></tr>
<tr class="memdesc:ae4e5687f83a42ed0590ad514af8fec04"><td class="mdescLeft">&#160;</td><td class="mdescRight">Data out Format, <br />
 b5:0 Packet 1 content selection <br />
 000000 - Suppress Packet 1 <br />
 001110 - CP_CQ_DATA <br />
 001011 - CQ_CP_DATA <br />
 b7:6 Packet 1 virtual channel number (valid only for CSI2) <br />
 00 Virtual channel number 0 (Default) <br />
 01 Virtual channel number 1 <br />
 10 Virtual channel number 2 <br />
 11 Virtual channel number 3 <br />
. <br /></td></tr>
<tr class="separator:ae4e5687f83a42ed0590ad514af8fec04"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a798de6ffe9b05cecc61bdbfb70d1fd5c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a798de6ffe9b05cecc61bdbfb70d1fd5c"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_dev_data_path_cfg__t.html#a798de6ffe9b05cecc61bdbfb70d1fd5c">cqConfig</a></td></tr>
<tr class="memdesc:a798de6ffe9b05cecc61bdbfb70d1fd5c"><td class="mdescLeft">&#160;</td><td class="mdescRight">This field specifies the data size of CQ samples on the lanes. <br />
 b1:0 Data size <br />
 00 12 bits <br />
 01 14 bits <br />
 10 16 bits <br />
 b7:2 Reserved. <br /></td></tr>
<tr class="separator:a798de6ffe9b05cecc61bdbfb70d1fd5c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1f807e6524f182bee229900531cf6c17"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1f807e6524f182bee229900531cf6c17"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_dev_data_path_cfg__t.html#a1f807e6524f182bee229900531cf6c17">cq0TransSize</a></td></tr>
<tr class="memdesc:a1f807e6524f182bee229900531cf6c17"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of samples (in 16 bit halfwords) of CQ0 data to be transferred. Valid range [32 halfwords to 128 halfwords] <br />
 Note: Ensure that the number of halfwords specified are a multiple of the number of lanes selected. <br /></td></tr>
<tr class="separator:a1f807e6524f182bee229900531cf6c17"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a76bbbea17b45a651db633e7803ac2ab7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a76bbbea17b45a651db633e7803ac2ab7"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_dev_data_path_cfg__t.html#a76bbbea17b45a651db633e7803ac2ab7">cq1TransSize</a></td></tr>
<tr class="memdesc:a76bbbea17b45a651db633e7803ac2ab7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of samples (in 16 bit halfwords) of CQ1 data to be transferred. Valid range [32 halfwords to 128 halfwords] <br />
 Note: Ensure that the number of halfwords specified are a multiple of the number of lanes selected. <br /></td></tr>
<tr class="separator:a76bbbea17b45a651db633e7803ac2ab7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae1eb3c6ca696461b793a15afcb43bad6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae1eb3c6ca696461b793a15afcb43bad6"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_dev_data_path_cfg__t.html#ae1eb3c6ca696461b793a15afcb43bad6">cq2TransSize</a></td></tr>
<tr class="memdesc:ae1eb3c6ca696461b793a15afcb43bad6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of samples (in 16 bit halfwords) of CQ2 data to be transferred. Valid range [32 halfwords to 128 halfwords] <br />
 Note: Ensure that the number of halfwords specified are a multiple of the number of lanes selected. <br /></td></tr>
<tr class="separator:ae1eb3c6ca696461b793a15afcb43bad6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a34eb6bea104fc61f8b19110ceab92022"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a34eb6bea104fc61f8b19110ceab92022"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_dev_data_path_cfg__t.html#a34eb6bea104fc61f8b19110ceab92022">reserved</a></td></tr>
<tr class="memdesc:a34eb6bea104fc61f8b19110ceab92022"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for future use. <br /></td></tr>
<tr class="separator:a34eb6bea104fc61f8b19110ceab92022"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>mmwave radar data path config. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/include/rl_device.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
